curl --request POST \
--url https://fulfillment.noyo.com/api/v1/groups/{group_id}/member_snapshots \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"coverages": [
{
"carrier_id": "4d4d815b-ae8f-430c-901f-1c9d5ee3f4f1",
"enrolled_members": [
{
"effective_end_date": "9999-12-31",
"effective_start_date": "2022-01-01",
"event_id": "1",
"individual_id": "6e7a80fc-473e-460a-8368-454e9e8dc9cb",
"individual_type": "employee",
"latest_change_effective_date": "2022-02-13"
},
{
"effective_end_date": "9999-12-31",
"effective_start_date": "2022-01-01",
"event_id": "1",
"individual_id": "ab740704-7c37-4010-92b3-d22c6926be3e",
"individual_type": "dependent"
}
],
"line_of_coverage": "medical",
"plan_id": "4bf04f73-0aad-48ac-b28a-e5f4def7c5e9",
"signature_date": "2021-12-23"
},
{
"carrier_id": "4d4d815b-ae8f-430c-901f-1c9d5ee3f4f1",
"enrolled_members": [
{
"effective_end_date": "9999-12-31",
"effective_start_date": "2022-01-01",
"event_id": "1",
"individual_id": "6e7a80fc-473e-460a-8368-454e9e8dc9cb",
"individual_type": "employee"
},
{
"effective_end_date": "2021-12-31",
"effective_start_date": "2022-01-01",
"event_id": "1",
"individual_id": "ab740704-7c37-4010-92b3-d22c6926be3e",
"individual_type": "dependent"
}
],
"line_of_coverage": "dental",
"plan_name": "DHMO Smile Plus",
"signature_date": "2021-12-23"
},
{
"carrier_id": "4d4d815b-ae8f-430c-901f-1c9d5ee3f4f1",
"enrolled_members": [
{
"effective_end_date": "9999-12-31",
"effective_start_date": "2022-01-01",
"event_id": "1",
"individual_id": "6e7a80fc-473e-460a-8368-454e9e8dc9cb",
"individual_type": "employee",
"volume": 50000
}
],
"line_of_coverage": "life",
"plan_name": "50k Employee Basic Life",
"signature_date": "2021-12-23"
}
],
"dependents": [
{
"custom_individual_id": "378713198",
"event_id": "1",
"id": "ab740704-7c37-4010-92b3-d22c6926be3e",
"person": {
"contact": {
"email_address": "jamie@testemail.com",
"email_address_type": "home",
"home_phone": "+12065551234"
},
"date_of_birth": "1990-01-02",
"first_name": "Jamie",
"home_address": {
"city": "San Francisco",
"county": "San Francisco",
"state": "CA",
"street_one": "1234 Home Ave",
"zip_code": "94107"
},
"last_name": "Johnson",
"mailing_address": {
"city": "San Francisco",
"state": "CA",
"street_one": "P.O. Box 1234",
"zip_code": "94107"
},
"marital_status": "married",
"sex": "F",
"ssn": "987654321"
},
"relationship": "spouse"
}
],
"employee": {
"classifications": {
"BranchName": "HQ",
"Department": "Sales"
},
"custom_individual_id": "718713143",
"employment": {
"employment_dates": {
"full_time_start": "2015-01-01",
"hire_date": "2014-12-10"
},
"employment_status": "full-time",
"hours_worked": 50,
"occupation": "Senior Analyst",
"salary": {
"amount": 55000,
"effective_date": "2022-01-31",
"type": "salary",
"unit": "annual"
}
},
"event_id": "1",
"id": "6e7a80fc-473e-460a-8368-454e9e8dc9cb",
"person": {
"contact": {
"email_address": "david@testemail.com",
"email_address_type": "home",
"home_phone": "+12065551234",
"preferred_method": "email",
"work_phone": "+12065559876"
},
"date_of_birth": "1985-06-22",
"first_name": "David",
"home_address": {
"city": "San Francisco",
"county": "San Francisco",
"state": "CA",
"street_one": "1234 Home Ave",
"zip_code": "94107"
},
"last_name": "Johnson",
"mailing_address": {
"city": "San Francisco",
"state": "CA",
"street_one": "P.O. Box 1234",
"zip_code": "94107"
},
"marital_status": "married",
"middle_name": "A",
"sex": "M",
"ssn": "123456789",
"suffix": "Jr"
}
},
"enable_member_auto_link": false,
"events": [
{
"date": "2022-01-01",
"id": "1",
"reason": "open_enrollment",
"type": "coverage"
}
],
"snapshot_mode": "current_open"
}
'import requests
url = "https://fulfillment.noyo.com/api/v1/groups/{group_id}/member_snapshots"
payload = {
"coverages": [
{
"carrier_id": "4d4d815b-ae8f-430c-901f-1c9d5ee3f4f1",
"enrolled_members": [
{
"effective_end_date": "9999-12-31",
"effective_start_date": "2022-01-01",
"event_id": "1",
"individual_id": "6e7a80fc-473e-460a-8368-454e9e8dc9cb",
"individual_type": "employee",
"latest_change_effective_date": "2022-02-13"
},
{
"effective_end_date": "9999-12-31",
"effective_start_date": "2022-01-01",
"event_id": "1",
"individual_id": "ab740704-7c37-4010-92b3-d22c6926be3e",
"individual_type": "dependent"
}
],
"line_of_coverage": "medical",
"plan_id": "4bf04f73-0aad-48ac-b28a-e5f4def7c5e9",
"signature_date": "2021-12-23"
},
{
"carrier_id": "4d4d815b-ae8f-430c-901f-1c9d5ee3f4f1",
"enrolled_members": [
{
"effective_end_date": "9999-12-31",
"effective_start_date": "2022-01-01",
"event_id": "1",
"individual_id": "6e7a80fc-473e-460a-8368-454e9e8dc9cb",
"individual_type": "employee"
},
{
"effective_end_date": "2021-12-31",
"effective_start_date": "2022-01-01",
"event_id": "1",
"individual_id": "ab740704-7c37-4010-92b3-d22c6926be3e",
"individual_type": "dependent"
}
],
"line_of_coverage": "dental",
"plan_name": "DHMO Smile Plus",
"signature_date": "2021-12-23"
},
{
"carrier_id": "4d4d815b-ae8f-430c-901f-1c9d5ee3f4f1",
"enrolled_members": [
{
"effective_end_date": "9999-12-31",
"effective_start_date": "2022-01-01",
"event_id": "1",
"individual_id": "6e7a80fc-473e-460a-8368-454e9e8dc9cb",
"individual_type": "employee",
"volume": 50000
}
],
"line_of_coverage": "life",
"plan_name": "50k Employee Basic Life",
"signature_date": "2021-12-23"
}
],
"dependents": [
{
"custom_individual_id": "378713198",
"event_id": "1",
"id": "ab740704-7c37-4010-92b3-d22c6926be3e",
"person": {
"contact": {
"email_address": "jamie@testemail.com",
"email_address_type": "home",
"home_phone": "+12065551234"
},
"date_of_birth": "1990-01-02",
"first_name": "Jamie",
"home_address": {
"city": "San Francisco",
"county": "San Francisco",
"state": "CA",
"street_one": "1234 Home Ave",
"zip_code": "94107"
},
"last_name": "Johnson",
"mailing_address": {
"city": "San Francisco",
"state": "CA",
"street_one": "P.O. Box 1234",
"zip_code": "94107"
},
"marital_status": "married",
"sex": "F",
"ssn": "987654321"
},
"relationship": "spouse"
}
],
"employee": {
"classifications": {
"BranchName": "HQ",
"Department": "Sales"
},
"custom_individual_id": "718713143",
"employment": {
"employment_dates": {
"full_time_start": "2015-01-01",
"hire_date": "2014-12-10"
},
"employment_status": "full-time",
"hours_worked": 50,
"occupation": "Senior Analyst",
"salary": {
"amount": 55000,
"effective_date": "2022-01-31",
"type": "salary",
"unit": "annual"
}
},
"event_id": "1",
"id": "6e7a80fc-473e-460a-8368-454e9e8dc9cb",
"person": {
"contact": {
"email_address": "david@testemail.com",
"email_address_type": "home",
"home_phone": "+12065551234",
"preferred_method": "email",
"work_phone": "+12065559876"
},
"date_of_birth": "1985-06-22",
"first_name": "David",
"home_address": {
"city": "San Francisco",
"county": "San Francisco",
"state": "CA",
"street_one": "1234 Home Ave",
"zip_code": "94107"
},
"last_name": "Johnson",
"mailing_address": {
"city": "San Francisco",
"state": "CA",
"street_one": "P.O. Box 1234",
"zip_code": "94107"
},
"marital_status": "married",
"middle_name": "A",
"sex": "M",
"ssn": "123456789",
"suffix": "Jr"
}
},
"enable_member_auto_link": False,
"events": [
{
"date": "2022-01-01",
"id": "1",
"reason": "open_enrollment",
"type": "coverage"
}
],
"snapshot_mode": "current_open"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
coverages: [
{
carrier_id: '4d4d815b-ae8f-430c-901f-1c9d5ee3f4f1',
enrolled_members: [
{
effective_end_date: '9999-12-31',
effective_start_date: '2022-01-01',
event_id: '1',
individual_id: '6e7a80fc-473e-460a-8368-454e9e8dc9cb',
individual_type: 'employee',
latest_change_effective_date: '2022-02-13'
},
{
effective_end_date: '9999-12-31',
effective_start_date: '2022-01-01',
event_id: '1',
individual_id: 'ab740704-7c37-4010-92b3-d22c6926be3e',
individual_type: 'dependent'
}
],
line_of_coverage: 'medical',
plan_id: '4bf04f73-0aad-48ac-b28a-e5f4def7c5e9',
signature_date: '2021-12-23'
},
{
carrier_id: '4d4d815b-ae8f-430c-901f-1c9d5ee3f4f1',
enrolled_members: [
{
effective_end_date: '9999-12-31',
effective_start_date: '2022-01-01',
event_id: '1',
individual_id: '6e7a80fc-473e-460a-8368-454e9e8dc9cb',
individual_type: 'employee'
},
{
effective_end_date: '2021-12-31',
effective_start_date: '2022-01-01',
event_id: '1',
individual_id: 'ab740704-7c37-4010-92b3-d22c6926be3e',
individual_type: 'dependent'
}
],
line_of_coverage: 'dental',
plan_name: 'DHMO Smile Plus',
signature_date: '2021-12-23'
},
{
carrier_id: '4d4d815b-ae8f-430c-901f-1c9d5ee3f4f1',
enrolled_members: [
{
effective_end_date: '9999-12-31',
effective_start_date: '2022-01-01',
event_id: '1',
individual_id: '6e7a80fc-473e-460a-8368-454e9e8dc9cb',
individual_type: 'employee',
volume: 50000
}
],
line_of_coverage: 'life',
plan_name: '50k Employee Basic Life',
signature_date: '2021-12-23'
}
],
dependents: [
{
custom_individual_id: '378713198',
event_id: '1',
id: 'ab740704-7c37-4010-92b3-d22c6926be3e',
person: {
contact: {
email_address: 'jamie@testemail.com',
email_address_type: 'home',
home_phone: '+12065551234'
},
date_of_birth: '1990-01-02',
first_name: 'Jamie',
home_address: {
city: 'San Francisco',
county: 'San Francisco',
state: 'CA',
street_one: '1234 Home Ave',
zip_code: '94107'
},
last_name: 'Johnson',
mailing_address: {
city: 'San Francisco',
state: 'CA',
street_one: 'P.O. Box 1234',
zip_code: '94107'
},
marital_status: 'married',
sex: 'F',
ssn: '987654321'
},
relationship: 'spouse'
}
],
employee: {
classifications: {BranchName: 'HQ', Department: 'Sales'},
custom_individual_id: '718713143',
employment: {
employment_dates: {full_time_start: '2015-01-01', hire_date: '2014-12-10'},
employment_status: 'full-time',
hours_worked: 50,
occupation: 'Senior Analyst',
salary: {amount: 55000, effective_date: '2022-01-31', type: 'salary', unit: 'annual'}
},
event_id: '1',
id: '6e7a80fc-473e-460a-8368-454e9e8dc9cb',
person: {
contact: {
email_address: 'david@testemail.com',
email_address_type: 'home',
home_phone: '+12065551234',
preferred_method: 'email',
work_phone: '+12065559876'
},
date_of_birth: '1985-06-22',
first_name: 'David',
home_address: {
city: 'San Francisco',
county: 'San Francisco',
state: 'CA',
street_one: '1234 Home Ave',
zip_code: '94107'
},
last_name: 'Johnson',
mailing_address: {
city: 'San Francisco',
state: 'CA',
street_one: 'P.O. Box 1234',
zip_code: '94107'
},
marital_status: 'married',
middle_name: 'A',
sex: 'M',
ssn: '123456789',
suffix: 'Jr'
}
},
enable_member_auto_link: false,
events: [{date: '2022-01-01', id: '1', reason: 'open_enrollment', type: 'coverage'}],
snapshot_mode: 'current_open'
})
};
fetch('https://fulfillment.noyo.com/api/v1/groups/{group_id}/member_snapshots', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created": 1656030390,
"created_members": [
{
"custom_individual_id": "718713143",
"id": "6e7a80fc-473e-460a-8368-454e9e8dc9cb",
"type": "employee"
},
{
"custom_individual_id": "378713198",
"id": "ab740704-7c37-4010-92b3-d22c6926be3e",
"type": "dependent"
}
],
"employee_id": "6e7a80fc-473e-460a-8368-454e9e8dc9cb",
"fulfillment_summary": [
{
"carrier_id": "4d4d815b-ae8f-430c-901f-1c9d5ee3f4f1",
"errors": [],
"status": "processing"
}
],
"id": "7bea80ac-499d-560b-5512-60be9e2349cb",
"member_snapshot": {
"coverages": [
{
"carrier_id": "4d4d815b-ae8f-430c-901f-1c9d5ee3f4f1",
"enrolled_members": [
{
"effective_end_date": "9999-12-31",
"effective_start_date": "2022-01-01",
"event_id": "1",
"individual_id": "6e7a80fc-473e-460a-8368-454e9e8dc9cb",
"individual_type": "employee",
"latest_change_effective_date": "2022-02-13"
},
{
"effective_end_date": "9999-12-31",
"effective_start_date": "2022-01-01",
"event_id": "1",
"individual_id": "ab740704-7c37-4010-92b3-d22c6926be3e",
"individual_type": "dependent"
}
],
"line_of_coverage": "medical",
"plan_id": "4bf04f73-0aad-48ac-b28a-e5f4def7c5e9",
"signature_date": "2021-12-23"
},
{
"carrier_id": "4d4d815b-ae8f-430c-901f-1c9d5ee3f4f1",
"enrolled_members": [
{
"effective_end_date": "9999-12-31",
"effective_start_date": "2022-01-01",
"event_id": "1",
"individual_type": "employee"
},
{
"effective_end_date": "2021-12-31",
"effective_start_date": "2022-01-01",
"event_id": "1",
"individual_id": "ab740704-7c37-4010-92b3-d22c6926be3e",
"individual_type": "dependent"
}
],
"line_of_coverage": "dental",
"plan_name": "DHMO Smile Plus",
"signature_date": "2021-12-23"
},
{
"carrier_id": "4d4d815b-ae8f-430c-901f-1c9d5ee3f4f1",
"enrolled_members": [
{
"effective_end_date": "9999-12-31",
"effective_start_date": "2022-01-01",
"event_id": "1",
"individual_type": "employee",
"volume": 50000
}
],
"line_of_coverage": "life",
"plan_name": "50k Employee Basic Life",
"signature_date": "2021-12-23"
}
],
"dependents": [
{
"custom_individual_id": "378713198",
"event_id": "1",
"id": "ab740704-7c37-4010-92b3-d22c6926be3e",
"person": {
"contact": {
"email_address": "jamie@testemail.com",
"email_address_type": "home",
"home_phone": "+12065551234"
},
"date_of_birth": "1990-01-02",
"first_name": "Jamie",
"home_address": {
"city": "San Francisco",
"county": "San Francisco",
"state": "CA",
"street_one": "1234 Home Ave",
"zip_code": "94107"
},
"last_name": "Johnson",
"mailing_address": {
"city": "San Francisco",
"state": "CA",
"street_one": "P.O. Box 1234",
"zip_code": "94107"
},
"marital_status": "married",
"sex": "F",
"ssn": "987654321"
},
"relationship": "spouse"
}
],
"employee": {
"classifications": {
"BranchName": "HQ",
"Department": "Sales"
},
"custom_individual_id": "718713143",
"employment": {
"employment_dates": {
"full_time_start": "2015-01-01",
"hire_date": "2014-12-10"
},
"employment_status": "full-time",
"hours_worked": 50,
"occupation": "Senior Analyst",
"salary": {
"amount": 55000,
"effective_date": "2022-01-31",
"type": "salary",
"unit": "annual"
}
},
"event_id": "1",
"group_id": "d0ec3837-3499-4a2f-8c58-966ef7e46d95",
"id": "6e7a80fc-473e-460a-8368-454e9e8dc9cb",
"person": {
"contact": {
"email_address": "david@testemail.com",
"email_address_type": "home",
"home_phone": "+12065551234",
"preferred_method": "email",
"work_phone": "+12065559876"
},
"date_of_birth": "1985-06-22",
"first_name": "David",
"home_address": {
"city": "San Francisco",
"county": "San Francisco",
"state": "CA",
"street_one": "1234 Home Ave",
"zip_code": "94107"
},
"last_name": "Johnson",
"mailing_address": {
"city": "San Francisco",
"state": "CA",
"street_one": "P.O. Box 1234",
"zip_code": "94107"
},
"marital_status": "married",
"middle_name": "A",
"sex": "M",
"ssn": "123456789",
"suffix": "Jr"
}
},
"enable_member_auto_link": false,
"events": [
{
"date": "2022-01-01",
"id": "1",
"reason": "open_enrollment",
"type": "coverage"
}
],
"snapshot_mode": "current_open"
},
"modified": 1656030390,
"status": "processing",
"version": "271c60d6-f009-4b3d-8bba-aac49b2dd9a4",
"warnings": []
}{
"message": "Error creating dependent. Existing dependent has matching name and date of birth: ab740704-7c37-4010-92b3-d22c6926be3e",
"status": 400
}{
"message": "Dependent with ID ab740704-7c37-4010-92b3-d22c6926be3e does not have an associated employee.",
"status": 404
}{
"message": "This snapshot is missing the following active coverages: dental for dependent ab740704-7c37-4010-92b3-d22c6926be3e. If you intend to terminate a coverage, please send a snapshot that includes a termination date before omitting it from future snapshots.",
"status": 422
}Create Member Snapshot
Create a new member snapshot for a group
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique identifier of the group for the employee referenced in the snapshot
"2613a221-d3c8-4c8a-86d5-e7e885fd1da9"
Body
Demographic information for the employee
Show child attributes
Show child attributes
Mode describing how the contents of the snapshot will be processed
current_open "current_open"
List of coverage and enrollment decisions for each member
Show child attributes
Show child attributes
List of demographic information for each dependent
Show child attributes
Show child attributes
Boolean flag for autolinking workflow
List of events associated with member and coverage updates
Show child attributes
Show child attributes
Configuration for handling omitted coverages
Show child attributes
Show child attributes
Response
Successful Response - Returns the contents of the newly created Member Snapshot
The date the record was created
List of created members
Show child attributes
Show child attributes
Unique ID of the employee in Noyo
Unique identifier of the record in Noyo
Member snapshot post Noyo processing (e.g. adding omitted coverages, applying rulesets, etc.)
Show child attributes
Show child attributes
The date the record was last updated
Status of the member snapshot
processing, completed, replaced, canceled, submitted Current version of the record
Warnings generated during processing of the member snapshot
List of member snapshot fulfillment statuses per carrier
Show child attributes
Show child attributes
Exact member snapshot as received by Noyo and prior to any processing (e.g. adding omitted coverages, applying rulesets, etc.)
UUID of the member snapshot that replaced the returned snapshot
Was this page helpful?
